Bug 1019642 - scipy bundles python-six
scipy bundles python-six
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: scipy (Show other bugs)
7.0
Unspecified Unspecified
low Severity low
: beta
: 7.0
Assigned To: Tomas Tomecek
Branislav Náter
:
Depends On: 1005350
Blocks: DuplicSysLibsTracker
  Show dependency treegraph
 
Reported: 2013-10-16 03:54 EDT by Tomas Tomecek
Modified: 2014-06-17 22:02 EDT (History)
9 users (show)

See Also:
Fixed In Version: scipy-0.12.1-1.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1005350
Environment:
Last Closed: 2014-06-13 06:17:26 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Tomas Tomecek 2013-10-16 03:54:29 EDT
+++ This bug was initially created as a clone of Bug #1005350 +++

While I was trying to unbundle six from one of my one packages, I noticed that 
scipy carries a copy of python-six

--- Additional comment from Orion Poplawski on 2013-09-10 11:33:24 EDT ---

Thanks.  Fixed in rawhide.
Comment 2 Branislav Náter 2014-04-04 09:22:25 EDT
Verified in spec file of scipy-0.12.1-3.el7. Bundled six is being deleted and the one from python-six package is used:

scipy.spec:
<snip>
# Bundled libs
rm scipy/lib/six.py
find -name \*.py | xargs sed -i -e 's/scipy\.lib\.six/six/'
<snip>
Comment 3 Branislav Náter 2014-04-04 10:06:24 EDT
...and it's really not present in rpm:

# rpm -q scipy
scipy-0.12.1-3.el7.x86_64
# rpm -ql scipy | grep six.py
#
Comment 4 Orion Poplawski 2014-05-06 12:55:42 EDT
FYI - I've reverted this in the Fedora package as the bundled python-six is modified by scipy, so it's a fork.
Comment 5 Ludek Smid 2014-06-13 06:17:26 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.